apply plugin: 'com.android.application'

android {

    signingConfigs {
        release {
//            keyAlias 'key1'
//            keyPassword 'fir0414'
//            storePassword 'fir0414'
//            storeFile file('\\recycle.jks')

            keyAlias 'box.keystore'
            keyPassword '159753'
            storePassword '159753'
            storeFile file('\\box.keystore')
        }
        debug {
            keyAlias 'box.keystore'
            keyPassword '159753'
            storePassword '159753'
            storeFile file('\\box.keystore')
        }
    }
    compileSdkVersion 28
    defaultConfig {
        applicationId "com.siwei.recyclebox"
        minSdkVersion rootProject.ext.android.minSdkVersion
        targetSdkVersion rootProject.ext.android.targetSdkVersion
        versionCode rootProject.ext.android.versionCode
        versionName rootProject.ext.android.versionName
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
        ndk {
// 设置支持的SO库架构 注意如果是虚拟机使用的话需要吧x86加上去 否则无法运行的
            abiFilters 'armeabi'  //, ‘x86’, ‘armeabi-v7a’, ‘x86_64’, ‘arm64-v8a’}
        }

    }
    dataBinding {
        enabled true
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            //
            debuggable true
            signingConfig signingConfigs.release
        }
        //以下配置记得添加！
        debug {
            signingConfig signingConfigs.release
        }

    }
    packagingOptions {
        exclude 'META-INF/DEPENDENCIES'
        exclude 'META-INF/NOTICE'
        exclude 'META-INF/LICENSE'
        exclude 'META-INF/LICENSE.txt'
        exclude 'META-INF/NOTICE.txt'
    }
    compileOptions {
        sourceCompatibility = 1.8
        targetCompatibility = 1.8
    }
    sourceSets { main { jni.srcDirs = ['src/main/jni', 'src/main/jni/2'] } }
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'com.android.support:appcompat-v7:28.0.0'
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'
    implementation project(':mvvmhabit')
    implementation 'com.aliyun.alink.linksdk:iot-linkkit:1.6.6'
    implementation 'com.github.mik3y:usb-serial-for-android:2.1.0'
    //内存泄漏测试
    debugImplementation 'com.squareup.leakcanary:leakcanary-android:1.6.2'
    debugImplementation 'com.squareup.leakcanary:leakcanary-support-fragment:1.6.2'
    implementation 'com.github.maybesix:Android-XHLibrary:v1.0.0'
    implementation 'com.tencent.bugly:crashreport:3.1.0'
    implementation 'com.tencent.bugly:nativecrashreport:latest.release'
    implementation 'com.aliyun:aliyun-java-sdk-core:4.0.6'
    implementation 'javax.xml.bind:jaxb-api:2.3.0'
    implementation 'com.sun.xml.bind:jaxb-core:2.3.0'
    implementation 'com.sun.xml.bind:jaxb-impl:2.3.0'
    implementation 'com.aliyun:aliyun-java-sdk-dysmsapi:1.1.0'
    implementation 'com.squareup.okhttp3:okhttp:3.10.0'
    implementation 'com.zhy:okhttputils:2.6.2'
    //    compile group: 'xerces', name: 'xercesImpl', version: '2.12.0'
    //    implementation files('src/main/libs//aliyun-java-sdk-core-4.1.0.jar')
    //    implementation files('src/main/libs/aliyun-java-sdk-dysmsapi-1.0.0.jar')
    implementation files('libs/AMap.jar')
}
